function x = BrnCrsForw(L,b)
%	Solves Lx = b, where L is lower triangular and sparse.
%	L -> D,LL, where D is the diagonal, LL is the strictly lower triangle.

%	Copyright (C) 1998. Bernoulli Project, Cornell University.

D = full(diag(L));
LL = tril(L,-1);

x = BrnCrsForw2(D,LL,b);

