/************************************************************************
 *	Copyright (C) 1998. Bernoulli Project, Cornell University.	*
 ************************************************************************/
#ifndef BRN_CCS_H
#define BRN_CCS_H

void ccs_mvm(
    int n,
    int anzs, int *acolptr, int *arowind, double *avalue,
    double *y, double *x);

void ccs_mm(
    int n, 
    int anzs, int *acolptr, int *arowind, double *avalue, 
    int bnzs, int *bcolptr, int *browind, double *bvalue, 
    int cnzs, int  *ccolptr, int *crowind, double *cvalue); 

void ccs_iopu(
    int n, 
    int anzs, int *acolptr, int *arowind, double *avalue, 
    int unzs, int *ucolptr, int *urowind, double *uvalue, 
    int vnzs, int *vcolptr, int *vrowind, double *vvalue);

void ccs_forward_right(
    int n, 
    int anzs, int *acolptr, int *arowind, double *avalue, 
    double *D, double *X, double *B);

void ccs_icc(int n, int anzs, int *acolptr, int *arowind, double *avalue);

#endif BRN_CCS_H

