/************************************************************************
 *	Copyright (C) 1998. Bernoulli Project, Cornell University.	*
 ************************************************************************/

#include "./config.h"

#include <string.h>

#include "caml/memory.h"
#include "caml/mlvalues.h"
#include "caml/alloc.h"

#define STRINGIFY(x) STRINGIFY1(x)
#define STRINGIFY1(x) #x

static char *m4_command = STRINGIFY(M4_COMMAND);

value config_m4_command(value unit)
{
    value result = Val_unit;
    Begin_roots1(result);
    result = copy_string(m4_command);
    End_roots();
    return result;
}
