(************************************************************************)
(*	Copyright (C) 1998. Bernoulli Project, Cornell University.	*)
(************************************************************************)
open Ssisl
open Containers

open Bmf;;
(* open Bmf_walk;; *)

val remove_idents : bmf_ident list -> String_set.t -> String_set.t;;

(* These routines are obsolete. Use the Bmf.xxx_fvs routines instead. *)
val free_vars_in_ident : bmf_ident -> String_set.t;;
val free_vars_in_idents : bmf_ident list -> String_set.t;;
val free_vars_in_stmt : bmf_stmt -> String_set.t;;
val free_vars_in_stmts : bmf_stmt list -> String_set.t;;
val free_vars_in_expr : bmf_expr -> String_set.t;;
val free_vars_in_exprs : bmf_expr list -> String_set.t;;
val free_vars_in_type : bmf_type -> String_set.t;;
val free_vars_in_types : bmf_type list -> String_set.t;;
val free_vars_in_ann : annotation -> String_set.t;;
val free_vars_in_anns : annotation list -> String_set.t;;

val remove_let_decls_in_proc : bmf_ident -> bmf_ident;;
val remove_let_decls_in_stmt : bmf_stmt -> bmf_stmt;;

