(************************************************************************)
(*	Copyright (C) 1998. Bernoulli Project, Cornell University.	*)
(************************************************************************)
open Bmf;;

type intrinsic_result =
    Ir_string of string
|   Ir_stmt of bmf_stmt
;;

val add_header_func : (out_channel -> unit) -> unit;;
val add_intrinsic_handler : string -> (bmf_stmt -> intrinsic_result)
    -> unit;;
val expand_intrinsics : bmf_ident -> bmf_ident

val to_channel : out_channel -> bmf_ident list -> unit;;
val to_file : string -> bmf_ident list -> unit;;
val to_stdout : bmf_ident list -> unit;;
