(************************************************************************)
(*	Copyright (C) 1998. Bernoulli Project, Cornell University.	*)
(************************************************************************)
exception Invalid_form of t
exception Unbound of string
exception Arguments_mismatch of string

(* eval and apply. Ohmmmmmm.... *)
val eval : t -> env_type -> t
val apply : t -> t -> t

(* (funcallN f args ...) = (apply f (listN args ...)) *)
val funcall0 : t -> t
val funcall1 : t -> t -> t
val funcall2 : t -> t -> t -> t
val funcall3 : t -> t -> t -> t -> t
val funcall4 : t -> t -> t -> t -> t -> t
val funcall5 : t -> t -> t -> t -> t -> t -> t
val funcall6 : t -> t -> t -> t -> t -> t -> t -> t
val funcall7 : t -> t -> t -> t -> t -> t -> t -> t -> t
val funcall8 : t -> t -> t -> t -> t -> t -> t -> t -> t -> t

(* Read forms from the file "name" and evaluate them in the interaction
   environment. If "verbose_p" is true, then print information about each
   form as it is evaluated. *)
val load : (*name*)string -> (*verbose_p*)bool -> unit
