(************************************************************************)
(*	Copyright (C) 1998. Bernoulli Project, Cornell University.	*)
(************************************************************************)
val gensym : string -> string;;
val gensyms : string -> int -> string list;;
(* Extract the original name from a gensym'ed name *)
val gensym_base : string -> string


(* A functional notation for creating vectors. Returns a vector whose
   elements are, [f 0; f 1; ...; f (len-1)] *)
val build_vector: (*f*) (int -> 'a) -> (*len*) int -> 'a array

