(************************************************************************)
(*	Copyright (C) 1998. Bernoulli Project, Cornell University.	*)
(************************************************************************)
let rec fold_left f init lb ub =
  if lb <= ub then
    fold_left f (f init lb) (lb+1) ub
  else
    init
      ;;
    
    
let rec fold_right f lb ub init =
  if lb <= ub then
    fold_right f lb (ub-1) (f ub init)
  else
    init
      ;;
    
    

