/************************************************************************
 *	Copyright (C) 1998. Bernoulli Project, Cornell University.	*
 ************************************************************************/
#ifndef BRN_CRS_H
#define BRN_CRS_H

void crs_mvm(
    int n,
    int anzs, int *acolptr, int *arowind, double *avalue,
    double *y, double *x);

void crs_mm(
    int n, 
    int anzs, int *acolptr, int *arowind, double *avalue, 
    int bnzs, int *bcolptr, int *browind, double *bvalue, 
    int cnzs, int  *ccolptr, int *crowind, double *cvalue); 

void crs_iopu(
    int n, 
    int anzs, int *acolptr, int *arowind, double *avalue, 
    int unzs, int *ucolptr, int *urowind, double *uvalue, 
    int vnzs, int *vcolptr, int *vrowind, double *vvalue);

void crs_forward_left(
    int n, 
    int anzs, int *acolptr, int *arowind, double *avalue, 
    double *D, double *X, double *B);

void crs_icc(int n, int anzs, int *acolptr, int *arowind, double *avalue);

#endif BRN_CRS_H

