(************************************************************************)
(*	Copyright (C) 1998. Bernoulli Project, Cornell University.	*)
(************************************************************************)
open Lexing;;

open Ssisl
open Containers

open Bmf_parser;;

exception Lexical_error of int;;
exception No_such_parser_arg of string;;
exception Parse_arg_is_invalid_list of string;;

val token : lexbuf -> token;;

val parser_args : (Bmf.annotation String_map.t) ref;;
