/************************************************************************
 *	Copyright (C) 1998. Bernoulli Project, Cornell University.	*
 ************************************************************************/
#include "hash.h"

#ifndef BMF_INTRINSICS_DEFINED
#define BMF_INTRINSICS_DEFINED
#ifdef __cplusplus
static inline int MIN(int x,int y) {
    if (x < y) return x; else return y; }
static inline int MAX(int x,int y) {
    if (x > y) return x; else return y; }
static inline double MIN(double x,double y) {
    if (x < y) return x; else return y; }
static inline double MAX(double x,double y) {
    if (x > y) return x; else return y; }
#else
#define MIN(x,y) ((x) < (y) ? (x) : (y))
#define MAX(x,y) ((x) > (y) ? (x) : (y))
#endif
#endif

#ifdef __cplusplus
inline
#endif
void dot_hash_bmf(int n, int Xptr, int Yptr, double *sum);

#ifdef __cplusplus
inline
#endif
void dot_hash_bmf(int n, int Xptr, int Yptr, double *sum)
{
    double sum__24 = 0;
    sum__24 = *(sum);
    {
        sum__24 = 0;
        {
            char valid_p__22 = 0;
            int it__23 = 0;
            int Yit__10 = 0;

            it__23 = open_hash_iter(Yptr);
            valid_p__22 = valid_hash_iter(it__23);
            while (valid_p__22) {
                Yit__10 = it__23;
                {
                    int i__15 = 0;

                    i__15 = deref_hash_iter_as_int(Yit__10,1+-(1));
                    if (1<=i__15&&i__15<=n) {
                        int d__25 = 0;
                        char valid_p__17 = 0;
                        int it__18 = 0;
                        static int *tuple__16 = 0;
                        static int tuple__16_len = 0;
                        d__25 = 0+1;
                        {
                            int new_len__26 = 0+1;
                            if (tuple__16_len < new_len__26 && tuple__16) {
                                free(tuple__16);
                                tuple__16 = 0;
                                tuple__16_len = 0;
                            }
                            if (tuple__16 == 0) {
                                tuple__16 = (int *)calloc(2*new_len__26,sizeof(int));
                                tuple__16_len = 2*new_len__26;
                            }
                        }

                        tuple__16[1+-(1)] = i__15;
                        it__18 = open_hash_iter(Xptr);
                        search_hash_table(it__18,tuple__16);
                        valid_p__17 = valid_hash_iter(it__18);
                        if (valid_p__17) {
                            double v__19 = 0;

                            v__19 = deref_hash_iter_as_real(it__18,1);
                            {
                                double v__20 = 0;

                                v__20 = deref_hash_iter_as_real(Yit__10,1);
                                sum__24 = sum__24+v__19*v__20;
                            }

                        }

                    }

                }

                next_hash_iter(it__23);
                valid_p__22 = valid_hash_iter(it__23);
            }

            close_hash_iter(it__23);
        }

    }
    *sum = sum__24;
}

