/************************************************************************
 *	Copyright (C) 1998. Bernoulli Project, Cornell University.	*
 ************************************************************************/
/* 
 * Memory interface routines for run-time support for
 * BMF
 */

#ifndef _rt_memory_h
#define _rt_memory_h

#include <stdlib.h>

#define rt_alloc0(T)		((T *)calloc(1,sizeof(T)))
#define rt_nalloc0(T,n)  	((T *)calloc((n),sizeof(T)))
#define rt_free(T,p)		(free(p))
#define rt_nfree(T,n,p)		(free(p))

#endif
