type token =
    BO_LIST
  | BO_VECT
  | EO_SEQ
  | QUOTE
  | QUASIQUOTE
  | UNQUOTE
  | UNQUOTE_SPLICING
  | DOT
  | BOOL of (bool)
  | CHAR of (char)
  | INT of (int)
  | FLOAT of (float)
  | STRING of (string)
  | SYMBOL of (string)
  | EOF
  | INF_START
  | INF_END
  | AND
  | OR
  | NOT
  | LT
  | GT
  | LE
  | GE
  | EQ
  | PLUS
  | TIMES
  | DIV
  | MINUS
  | OPENP
  | CLOSEP
  | OPENB
  | CLOSEB
  | COMMA

val top_datum :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> parser_result
